Subject: Re: [EN] NNCP 8.3.0 release announcement

From: John Goerzen <[email-masked]>
Date: Sun, 23 Jan 2022 08:19:08 -0600

Thank you, Sergey!

Nice that somebody did the work on pulling those bits out of gvisor already!

And, I see what they did there:

        // Set sndSsthresh to the maximum int value, which depends on the
        // platform.
        s.Ssthresh = int(^uint(0) >> 1)

Not quite sure why there's the shift-right there; if I read ^uint(0)
correctly, that is all 1s already.  Anyhow, if it works, it works :-)

John

On Sun, Jan 23 2022, Sergey Matveev wrote:

> I am pleased to announce NNCP 8.3.0 release availability!
>
> NNCP (Node to Node copy) is a collection of utilities simplifying
> secure store-and-forward files and mail exchanging.
>
> This utilities are intended to help build up small size (dozens of
> nodes) ad-hoc friend-to-friend (F2F) statically routed darknet
> delay-tolerant networks for fire-and-forget secure reliable files, file
> requests, Internet mail and commands transmission. All packets are
> integrity checked, end-to-end encrypted (E2EE), explicitly authenticated
> by known participants public keys. Onion encryption is applied to
> relayed packets. Each node acts both as a client and server, can use
> push and poll behaviour model. Also there is multicasting areas support.
>
> Out-of-box offline sneakernet/floppynet, dead drops, sequential and
> append-only CD-ROM/tape storages, air-gapped computers support. But
> online TCP daemon with full-duplex resumable data transmission exists.
>
> ------------------------ >8 ------------------------
>
> The main improvements for that release are:
>
> Fixed building issues on 32-bit systems.
>
> ------------------------ >8 ------------------------
>
> NNCP's home page is: http://www.nncpgo.org/
>
> Source code and its signature for that version can be found here:
>
>     http://www.nncpgo.org/download/nncp-8.3.0.tar.xz (1682 KiB)
>     http://www.nncpgo.org/download/nncp-8.3.0.tar.xz.sig
>
> SHA256 hash: 6C14887A 9EF686D6 112F2096 ED1DA56B AABE5FEB 4BA92573 89ACC6B2 6D0A23EA
> GPG key ID: 0x2B25868E75A1A953 NNCP releases <[email-masked]>
> Fingerprint: 92C2 F0AE FE73 208E 46BF  F3DE 2B25 868E 75A1 A953
>
> There are mirrors where you can also get the source code tarballs:
> http://www.nncpgo.org/Mirrors.html
>
> Please send questions regarding the use of NNCP, bug reports and patches
> to mailing list: http://lists.cypherpunks.ru/nncp_002ddevel.html